Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
artifacts
/
promotions
Promotes Artifact
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/artifacts/promotions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceEnvironmentName": "<string>",
  "targetEnvironmentName": "<string>",
  "versionName": "<string>"
}
'
{
  "environmentName": "<string>",
  "versionName": "<string>"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

Body

application/json
sourceEnvironmentName
string
required

The name of environment to promote the artifact from

Minimum string length: 1
targetEnvironmentName
string
required

The name of environment to promote the artifact to

Minimum string length: 1
versionName
string
required

The version of the artifact to be promoted

Minimum string length: 1

Response

Artifact promoted successfully

environmentName
string

The name of promoted environment

versionName
string

The artifact version name promoted